function gradx = ObsGrad(ratio, x, obs, visits, numBird) 

if isempty(x)
    gradx = x;
    return;
end


thresh = 0.05;
obs = full(obs);
obs(obs <= thresh) = thresh;

gradx = ratio * visits(1 : end - 1) - ratio * visits(end) ...
        - obs(1 : end - 1) ./ x + obs(end) / (numBird - sum(x));
    