function grad1 = LaplaceGrad2(x1, mu1, invSigma1, ratio, visits, obs, numBird)


if (any(x1 < 0) || sum(x1) > numBird)
    grad1 = - ones(size(x1)) * 100;
else
    grad1 = ObsGrad(ratio, x1, obs, visits, numBird);
    grad1 = grad1 + NormalGrad(mu1, invSigma1, x1);
end
