function H = ObsHess(ratio, x, obs, visits, numBird) 

if isempty(x)
    H = [];
    return;
end

thresh = 0.05;
obs = full(obs);
obs(obs <= thresh) = thresh;

H = diag(obs(1 : end - 1) ./ (x.^2)) + obs(end) ./ ((numBird - sum(x))^2);
