function obj = ObsLik(ratio, x, obs, visits, numBird) 

if isempty(x)
    obj = 0;
    return;
end


tempx = [x; numBird - sum(x)];

if any(tempx <= 0)
    obj = Inf;
    return;
end


thresh = 0.05;
obs = full(obs);
obs(obs <= thresh) = thresh;
obj = - obs' * log(tempx) + ratio * (visits' * tempx);


