function A = feature2Prob(W, feature)

numCell = size(feature, 2);
A = zeros(numCell, numCell);

for icell = 1 : numCell 
    prob = exp(squeeze(feature(:, icell, :))' * W);
    prob = prob / sum(prob);
    A(:, icell) = prob;
end